#ifndef COURSE_H
#define COURSE_H

#include <string>
#include "Student.h"

// Course class definition
class Course
{
private:
    
    char name[31]{"None"};
    char course_number[11]{"None"};
    Student class_list[45];
    int num_students{0};
    
public:
    
    // Constructors
    Course() = default;
    Course(const char*, const char*);
    
    // Other member functions
    void read_student_data(const std::string&);
    void sort_class_list(bool (*)(const Student&, const Student&));
    void print() const;
};

bool name_less(const Student&, const Student&);
bool name_greater(const Student&, const Student&);
bool gpa_less(const Student&, const Student&);
bool gpa_greater(const Student&, const Student&);

#endif
